List Addresses
curl --request GET \
--url https://api-sandbox.synctera.com/v0/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addresses": [
{
"creation_date": "2019-01-01T00:00:00Z",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"address_line_1": "100 Main St.",
"country_code": "US",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Addresses
List Addresses
GET
/
addresses
List Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Country code.
ISO 3166-1 Alpha-2 or Alpha-3 country code.
Pattern:
^[A-Z]{2,3}$Example:
"U"
The unique identifier for business
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Whether the address uses a registered agent or not
The unique identifier for customer
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Whether the address is active or not
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Specifies the address type.
Available options:
BILLING, LEGAL, OPERATING, OTHER, SHIPPING Was this page helpful?

